commit 595e3fa77115559343655cc0ab53cde5e4f82b86
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Jun 20 16:13:10 2024 +0100

    libstdc++: Initialize base in test allocator's constructor
    
    This fixes a warning from one of the test allocators:
    warning: base class 'class std::allocator<__gnu_test::copy_tracker>' should be explicitly initialized in the copy constructor [-Wextra]
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/util/testsuite_allocator.h (tracker_allocator):
            Initialize base class in copy constructor.
    
    (cherry picked from commit e2fb245b07f489ed5bfd9a945e0053b4a3211245)

diff --git a/libstdc++-v3/testsuite/util/testsuite_allocator.h b/libstdc++-v3/testsuite/util/testsuite_allocator.h
index 0c41181b4a5..74eae87dbf6 100644
--- a/libstdc++-v3/testsuite/util/testsuite_allocator.h
+++ b/libstdc++-v3/testsuite/util/testsuite_allocator.h
@@ -154,7 +154,7 @@ namespace __gnu_test
       tracker_allocator()
       { }
 
-      tracker_allocator(const tracker_allocator&)
+      tracker_allocator(const tracker_allocator& a) : Alloc(a)
       { }
 
       ~tracker_allocator()

